Macaulay2 » Documentation
Packages » Macaulay2Doc » rings » substitution and maps between rings » RingMap » source(RingMap)
next | previous | forward | backward | up | index | toc

# source(RingMap) -- find the source ring for a map of rings

- Function: source
- Usage:
    `source f`
- Inputs:
  - f, a ring map
- Outputs:
  - the source ring of the map

## Description

    i1 : S = ZZ/10007[x, y, z];

    i2 : R = ZZ/10007[t];

    i3 : f = map(R,S,{t^3,t^4,t^5})

                      3   4   5
    o3 = map (R, S, {t , t , t })

    o3 : RingMap R <-- S

    i4 : source f

    o4 = S

    o4 : PolynomialRing

## Ways to use this method:

- source(RingMap) -- find the source ring for a map of rings

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/source-doc.m2:28:0.